# Get prospect analysis data (results, properties, inputs, metadata) by ID

Returns the prospect analysis with the supplied ID along with its metadata, properties, inputs and results.

Endpoint: GET /assessments/v1/prospectanalysis/{id}
Version: 1
Security: bearer, appkey

## Path parameters:

  - `id` (integer, required)
    Prospect analysis ID

## Header parameters:

  - `slb-contract-id` (string, required)
    Delfi Contract ID

## Response 200 fields (text/plain):

  - `id` (integer)
    Analysis ID.

  - `name` (string)
    Analysis name.

  - `summary` (string)
    Analysis summary.

  - `parentId` (integer)
    Analysis parent ID.

  - `parentName` (string)
    Analysis parent name.

  - `modifiedDate` (string)
    Date and time the analysis was last modified.

  - `modifiedUserName` (string)
    User name of the person who last modified the analysis.

  - `status` (string)
    Analysis status
    Enum: "Approved", "Historical", "Test", "Working"

  - `results` (object)
    A data transfer object (DTO) representing the risk and calculation result for a prospect analysis.

  - `results.risks` (object)
    A data transfer object (DTO) representing the risk results of a prospect analysis.

  - `results.risks.chanceOfSuccess` (number)
    Probability of successful discovery.

  - `results.risks.aboveScreeningThreshold` (number)
    The probability that the hydrocarbon volume in the prospect is greater than the screening threshold.
The screening threshold is a volume limit set by the user, usually a financial limit.

  - `results.risks.oilOnly` (number)
    The probability that the hydrocarbons in the prospect are oil phase only.

  - `results.risks.gasOnly` (number)
    The probability that the hydrocarbons in the prospect are gas phase only.

  - `results.risks.oilAndGas` (number)
    The probability that the hydrocarbons in the prospect are a combination of oil and gas phase.

  - `results.risks.oil` (number)
    The probability that the hydrocarbons in the prospect contain oil phase.

  - `results.risks.gas` (number)
    The probability that the hydrocarbons in the prospect contain gas phase.

  - `results.distributions` (object)
    A data transfer object (DTO) representing prospect calculation results.

  - `properties` (array)
    Analysis descriptive properties.

  - `properties.propertyModelId` (integer)
    ID of the property model that this property belongs to.

  - `properties.label` (string)
    Property label.

  - `properties.identifier` (string)
    Unique identifier of the property.

  - `properties.textValue` (string)
    Property value when Slb.Spar.WebApi.DTOs.v1.GeoNext.PropertyDto.Type is Text.

  - `properties.integerValue` (integer)
    Property value when Slb.Spar.WebApi.DTOs.v1.GeoNext.PropertyDto.Type is Integer.

  - `properties.floatValue` (number)
    Property value when Slb.Spar.WebApi.DTOs.v1.GeoNext.PropertyDto.Type is Float.

  - `properties.dateValue` (string)
    Property value when Slb.Spar.WebApi.DTOs.v1.GeoNext.PropertyDto.Type is Date.

  - `properties.type` (string)
    A data transfer object (DTO) representing analysis property types.
    Enum: "Text", "Date", "Integer", "Float"

  - `inputs` (object)
    A data transfer object (DTO) representing prospect analysis input data.

  - `inputs.calculationSettings` (object)
    A data transfer object (DTO) representing the Monte Carlo simulation settings.

  - `inputs.calculationSettings.calculationMethod` (string)
    Calculation method: probabilistic or deterministic.
    Enum: "Stochastic", "Deterministic"

  - `inputs.calculationSettings.initialSeed` (integer)
    The initial seed for the random number generator.
Running a second calculation with the same initial seed causes the calculator to select the same numbers again.

  - `inputs.calculationSettings.sampleSize` (integer)
    How many trials to compute.

  - `inputs.calculationSettings.useInitialSeed` (boolean)
    Controls the use of the initial seed value.

  - `inputs.calculationSettings.resourceLimits` (object)
    Resource limits

  - `inputs.calculationSettings.resourceLimits.minimumVolumeHcType` (string)
    Hydrocarbon case type for resource limits.
    Enum: "Oil", "NonAssociatedGas", "AssociatedGas", "Condensate", "OilEquivalent"

  - `inputs.calculationSettings.resourceLimits.minimumVolume` (number)
    Minimum volume

  - `inputs.calculationSettings.resourceLimits.screeningThresholdVolume` (number)
    Defines a minimum economic recoverable volume.
The screening threshold estimates a probability for a discovery above the screening threshold.

  - `inputs.calculationSettings.resourceLimits.wellPathDepth` (number)
    Depth of the well path

  - `inputs.enrolledAnalysisIds` (array)
    Enrolled segment analysis IDs

  - `inputs.dbCompatiblePlayRiskDependencyGroups` (array)
    Play risk dependency groups

  - `inputs.dbCompatiblePlayRiskDependencyGroups.name` (string)
    Label for the dependency group.

  - `inputs.dbCompatiblePlayRiskDependencyGroups.isMaxCorrelation` (boolean)
    Determines the type of dependency - Max correlation (true) or Shared probability (false).

  - `inputs.dbCompatiblePlayRiskDependencyGroups.sharedProbability` (number)
    Shared probability for risk dependency, lower value indicates higher dependency. Null when max correlation is used.

  - `inputs.dbCompatiblePlayRiskDependencyGroups.riskTypeId` (integer)
    ID of the risk type identified for this group.

  - `inputs.dbCompatiblePlayRiskDependencyGroups.description` (string)
    Dependency group description.

  - `inputs.dbCompatiblePlayRiskDependencyGroups.members` (array)
    Plays that make up this dependency group.

  - `inputs.dbCompatiblePlayRiskDependencyGroups.members.id` (integer)
    The ID of the play that is a play risk dependency group member.

  - `inputs.dbCompatiblePlayRiskDependencyGroups.memberGroups` (array)
    Play risk dependency groups can be members of other play risk dependency groups.

  - `inputs.conditionalRiskDependencyGroups` (array)
    Conditional (segment) risk dependency groups

  - `inputs.conditionalRiskDependencyGroups.name` (string)
    The name of the dependency group, chosen by the user.

  - `inputs.conditionalRiskDependencyGroups.parameterName` (string)
    The name of the risk parameter (risk factor) displaying a dependency.

  - `inputs.conditionalRiskDependencyGroups.probability` (number)
    The shared probability of the risk dependency.
Value must be in the range [0, 1].
0 means maximum shared probability.
Null when max correlation is used (Slb.Spar.WebApi.DTOs.v1.Analysis.ProspectAnalysis.DependencyGroupDto.IsMaxCorrelation is true).

  - `inputs.conditionalRiskDependencyGroups.isMaxCorrelation` (boolean)
    Determines the type of dependency - Max correlation (true) or Shared probability (false).

  - `inputs.conditionalRiskDependencyGroups.isForPlayRiskDependency` (boolean)
    Determines the source of dependency - play risk dependency (true) or conditional (i.e. segment) risk dependency (false).

  - `inputs.conditionalRiskDependencyGroups.members` (array)
    The members of the dependency group (representing risk factors).

  - `inputs.conditionalRiskDependencyGroups.members.name` (string)
    The name of the parent segment of the enrolled analysis,
the name of the play if this object is a member of a play dependency group,
or the name of the parent dependency group if this member is itself representing a group.

  - `inputs.conditionalRiskDependencyGroups.members.parameterName` (string)
    The risk parameter name.

  - `inputs.conditionalRiskDependencyGroups.members.isForPlayRiskDependency` (boolean)
    Determines the source of dependency - play risk dependency (true) or conditional (i.e. segment) risk dependency (false).

  - `inputs.conditionalRiskDependencyGroups.members.isGroup` (boolean)
    Indicates whether this member is itself a group; if true, there must be a DependencyGroup with the same name.

  - `inputs.resourceLimits` (object)
    A data transfer object (DTO) representing resource limits for aggregation.

  - `inputs.resourceLimits.useScreeningThreshold` (boolean)
    Indicate if the above screening threshold resource limit was set.

  - `inputs.resourceLimits.hcType` (string)
    The hydrocarbon type list [Oil, NonAssoc.Gas, Assoc.Gas, Condensate, or Total Resources] defines
the fluid basis for defining a success case's minimum recoverable volume.

  - `inputs.resourceLimits.volume` (number)
    Defines a minimum economic recoverable volume.
The screening threshold estimates a probability for a discovery above the screening threshold.

  - `inputs.correlations` (array)
    Parameters whose values are correlated between segments

  - `inputs.correlations.correlationFactor` (number, required)
    The strength of the correlation.

  - `inputs.correlations.dependentParameter` (string, required)
    The name of the dependent parameter.

  - `inputs.correlations.independentParameter` (string, required)
    The name of the independent parameter.

  - `inputs.correlations.dependentSegmentId` (integer)
    The id of the segment which the dependent parameter belongs to.

  - `inputs.correlations.independentSegmentId` (integer)
    The id of the segment which the independent parameter belongs to.

  - `inputs.correlations.dependentSegmentName` (string)
    The name of the segment which the dependent parameter belongs to.

  - `inputs.correlations.independentSegmentName` (string)
    The name of the segment which the independent parameter belongs to.

  - `inputs.correlations.dependentAnalysisId` (integer)
    The id of the analysis which the dependent parameter belongs to.

  - `inputs.correlations.independentAnalysisId` (integer)
    The id of the analysis which the independent parameter belongs to.

## Response 400 fields (text/plain):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 404 fields (text/plain):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

